{
    "env": {
        "browser": true,
        "commonjs": true,
        "es6": true
    },
    "extends": "eslint:recommended",
    "parserOptions": {
        "sourceType": "module"
    },
    "rules": {
        "curly": 2,
        "block-scoped-var": 2,
        "eqeqeq": 2,
        "no-eval": 2,
        "no-fallthrough": 2,
        "no-multi-spaces": 2,
        "no-param-reassign": 2,
        "no-redeclare": 2,
        "vars-on-top": 1,
        "camelcase": 2,
        "no-trailing-spaces": 2,
        "indent": [
            "error",
            4
        ],
        "linebreak-style": [
            "error",
            "windows"
        ],
        "quotes": [
            "error",
            "single"
        ],
        "semi": [
            "error",
            "always"
        ]
    }
}
